summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-text/poppler-data')
-rw-r--r--app-text/poppler-data/Manifest1
-rw-r--r--app-text/poppler-data/poppler-data-0.4.9.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/app-text/poppler-data/Manifest b/app-text/poppler-data/Manifest
index 06e5752b963..0b3f27c2c36 100644
--- a/app-text/poppler-data/Manifest
+++ b/app-text/poppler-data/Manifest
@@ -1,2 +1,3 @@
DIST poppler-data-0.4.7.tar.gz 4182339 BLAKE2B 85a731e738cce9b6adc7c236ee5183b6494b641a20e4c823900314bfec5bc3c327ae49e35511936c0f3a6f13e25be098b24bd6a91ae04815be6a02149a636563 SHA512 9a865f077f8760a106c6b28302357253c6d63a8f4f10a9506724d1f0ba42e3481bd790ca07e7ee245c63de3650a33c12e80e20e94415a0e37b05225cfe0efce2
DIST poppler-data-0.4.8.tar.gz 4209901 BLAKE2B ed4dc809044240141db3ec483b7fb272d976eb61febf13b3f1297b27146f8597eb6d817a799da4729192f39873226f6eae6374b86bcf4dad8cde7d0bc9388b94 SHA512 c9435f557ca696fb1e94b6a0b42d401cc911a08f995e3494a7352b47bde5091226f2bb99792ff2b1ee02dfebee66f50f736daca72020a19217ce1c27bde92d54
+DIST poppler-data-0.4.9.tar.gz 4196919 BLAKE2B a986dcff2c2295eeb952adbb4bfc59ccbc53c27668ecc44fcf862bbe3d65062ccdb9302ebdd9b530d9d0ed155666922086b368c81c0772bdab284e323e6ac436 SHA512 45afd378d0bb415c5e1bc9718025328058712c0bde6d529d2c7a4813b12f600be46ecd2ed2454b3f83fb9f8cad157b75d11d8c5d1ca849f347c310b58132ff7a
diff --git a/app-text/poppler-data/poppler-data-0.4.9.ebuild b/app-text/poppler-data/poppler-data-0.4.9.ebuild
new file mode 100644
index 00000000000..ecc3bd95ac2
--- /dev/null
+++ b/app-text/poppler-data/poppler-data-0.4.9.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Data files for poppler to support uncommon encodings without xpdfrc"
+HOMEPAGE="https://poppler.freedesktop.org/"
+SRC_URI="https://poppler.freedesktop.org/${P}.tar.gz"
+
+LICENSE="BSD GPL-2 MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE=""
+
+src_install() {
+ emake prefix="${EPREFIX}"/usr DESTDIR="${D}" install
+
+ # bug 409361
+ dodir /usr/share/poppler/cMaps
+ cd "${D}/${EPREFIX}"/usr/share/poppler/cMaps || die
+ find ../cMap -type f -exec ln -s {} . \; || die
+}